var tabla;

//funcion que se ejecuta al inicio
function init(){

   listar();
    //cargamos los items al select cliente
   $.post("controladores/cuentabancoControlador.php?op=selectCuentabanco", function(r){
   	$("#idbancocuenta").html(r);
		$("#idbancocuenta").val(0);
   	$('#idbancocuenta').selectpicker('refresh');
   	
   });

	$("#fecha_inicio").change(function(){
		listar();
	});

	$("#fecha_fin").change(function(){
		listar();
	});

	$("#idbancocuenta").change(function(){
		listar();
	});

	$('#tbllistado tfoot th').each( function () {
		var title = $(this).text();
		$(this).html( '<input type="text" style="width:100px" placeholder="Filtro.." />' );
	} );

}
//controladores/ventaControlador.php

//funcion listar
function listar(){
	var fecha_inicio 	= $("#fecha_inicio").val();
 	var fecha_fin 		= $("#fecha_fin").val();
 	var idbancocuenta = $("#idbancocuenta").val();
 
	var tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  'pdf'
		],
		
		"ajax":
		{
			url:'controladores/consultasControlador.php?op=movientodecuentaporfecha',
			method: 'post',
			data: {
				fecha_inicio	: fecha_inicio,
				fecha_fin			:	fecha_fin,
				idbancocuenta	:	idbancocuenta,
			},
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"columnDefs": [
			{ "type": "numeric-comma",
				"targets": [ 5,8],
				"visible": false,
				"searchable": false
		
			},
			
		],
		"initComplete": function () {
			this.api().columns().every( function () {
					var that = this;

					$( 'input', this.footer() ).on( 'keyup change', function () {
							if ( that.search() !== this.value ) {
									that
											.search( this.value )
											.draw();
									}
					});
			})
		},
	/* 	"drawCallback":function(){
			//alert("La tabla se está recargando"); 
			var api 	= this.api();
			var tactual	= api.column(2, {page:'current'}).data().sum();
			var total	= api.column(2).data().sum();
			tactual		= number_format(tactual*1,2);
			total		= number_format(total*1,2);
			//$(api.column(4).footer()).html('Total:');
			$(api.column(2).footer()).html(tactual);
			//$(api.column(6).footer()).html('Total:');
			//$(api.column(7).footer()).html(total);
	  	},  */
			"drawCallback":function(){
			var api 	= this.api();
			/* var data	= api.column(3).data();
			var data1	= api.column(5).data();
			var data2	= api.column(4).data(); */

			var datab	= api.column(5, {page:'current'}).data(); //monto bs
			var data	= api.column(6, {page:'current'}).data(); //monto $
			var data1	= api.column(8, {page:'current'}).data(); //estado
			var data2	= api.column(7, {page:'current'}).data(); //tiporegistro

			
			var total		=	0;
			var totalb	=	0;
			let palabra1 = '<div align="center" style="text-align:center"><span class="badge bg-green">Cobro</span></div>';
			let palabra2 = '<div align="center" style="text-align:center"><span class="badge bg-orange">Pago</span></div>';
			let palabra3 = '<div align="center" style="text-align:center"><span class="badge bg-green">Procesado</span></div>';
			let tipo1 = '<div align="center" style="text-align:center"><span class="badge bg-orange">PAGO</span></div>';
			let tipo2 = '<div align="center" style="text-align:center"><span class="badge bg-yellow">CARGO</span></div>';

			for (var i = 0; i < data.length; i++) {
       /* */ 
			  let pos     = data[i].indexOf(">");
        let pos2    = data[i].indexOf("</div>");
				let montod  = data[i].substring(pos+1,pos2);
				let montob  = datab[i].substring(pos+1,pos2);
       // var palabra = data1[i].substring(pos+1,pos+10)
				//  console.log('data: ',data[i],' data1: ',data1[i],' data2: ',data2[i])
				console.log('data :',data[i],' monto: ',montod)
        if (data1[i]==palabra1||data1[i]==palabra2||data1[i]==palabra3){
					console.log('Igual a palabra');
					if (data2[i]==tipo2||data2[i]==tipo1){
						total 	= total-(montod*1);
						totalb 	= totalb-(montob*1);
						
					}else{
						total 	= total+(montod*1);
						totalb 	= totalb+(montob*1);
						
					}
        }
      }
			//total		= number_format(total*1,2);
			//totalb	= number_format(totalb*1,2);
			
			$(api.column(0).footer()).html('Total:');
			$(api.column(5).footer()).html(totalb);
			$(api.column(6).footer()).html(total);
			
	  	}, 
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[2,"desc"]]//ordenar (columna, orden)
	}).DataTable();
	
	

}


init();  